EDIT - feature request #8239

Rights issues in TaxEditor
04/11/2019 11:50 AM - Katja Luther

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

This should be a ticket to collect all rights issues in taxEditor.

¢ in Details View fields the user is not allowed to edit should be disabled. (Actually the user is allowed to update data, but while
saving an exception appears)

Related issues:

Related to EDIT - bug #7541: Insufficient rights lead to missing focus in nam... Closed
Related to EDIT - feature request #5873: Implement rights&roles for TaxEditor... In Progress
Related to EDIT - feature request #3709: [E+M][Editor] sufficient rights mana... Resolved
Related to EDIT - feature request #3097: disable editors if a user has insuff... Worksforme

Associated revisions

Revision df947da5 - 10/24/2019 11:06 AM - Katja Luther
ref #8239: disable details for missing rights

Revision 8e675e6a - 11/05/2019 12:32 PM - Katja Luther

ref #8239: revert some of the implementations for the next release

Revision a8284340 - 01/15/2020 01:27 PM - Katja Luther

ref #8239: disable details, facts and supplemental data for insufficient rights

History

#1 - 04/11/2019 11:50 AM - Katja Luther

- Related to bug #7541: Insufficient rights lead to missing focus in name editor added

#2 - 04/11/2019 12:02 PM - Katja Luther

- Related to feature request #5873: Implement rights&roles for TaxEditor distribution editor added

#3 - 04/11/2019 12:03 PM - Katja Luther
- Related to feature request #3709: [E+M][Editor] sufficient rights management for E+M workflow added

#4 - 11/04/2019 12:53 PM - Andreas Kohlbecker

- Tags set to permission

#5 - 06/26/2020 11:20 AM - Katja Luther

- Related to feature request #3097: disable editors if a user has insufficient grants for a taxon or taxon node. added
